import request from "../utils/request";
// 获取验证码
export function getCodeImg() {
  return request({
    url: "/code",
    headers: {
      isToken: false,
    },
    method: "get",
  });
}
// 登录
export function login(data) {
  return request({
    url: "/auth/login",
    method: "post",
    data,
  });
}
// 获取用户信息
export function getUserInfo() {
  return request({
    url: "/system/user/getInfo",
    method: "get",
  });
}

//新增事件
export function addEvent(data) {
  return request({
    url: "/wcwy/eventInfo/add",
    method: "post",
    data,
  });
}

// 获取处理列表
export function getEventList(params) {
  return request({
    url: "wcwy/api/event",
    params,
  });
}
// 获取处理详情
export function getEventDetail(id) {
  return request({
    url: "/wcwy/eventInfo/" + id,
  });
}
// 获取处理后详情
export function getEventInfo(id) {
  return request({
    url: "/wcwy/eventInfo/get/" + id,
  });
}
// 获取消息列表
export function getMessageList(params) {
  return request({
    url: "/wcwy/api/eventMessage",
    params,
  });
}
// 获取消息详情
export function getMessageDetail(id) {
  return request({
    url: "/wcwy/api/eventMessage/getInfo/" + id,
  });
}
// 上传图片
export function uploadImg(data) {
  return request({
    url: "/file/upload",
    method: "post",
    data,
  });
}
// 获取未读消息数量
export function getMessageCount() {
  return request({
    url: "/wcwy/api/eventMessage/getUnreadCnt",
  });
}
// 处理事件
export function handleEvent(data) {
  return request({
    url: "/wcwy/api/event/process",
    method: "post",
    data,
  });
}
// 获取事件类型统计
export function getTypeChartData() {
  return request({
    url: "/wcwy/api/event/getEventCategoryStatics",
  });
}
// 获取事件处理量统计
export function getCountChartData() {
  return request({
    url: "/wcwy/api/event/getEventProcessCntStatics",
  });
}

//社区列表

export function getCommunityList(params) {
  return request({
    url: "/atlas/atlas/community/list",
    params,
  });
}

//小区列表
export function getVillageList(params) {
  return request({
    url: "/wcwy/house/getHouseList/" + params,
  });
}

//事件类型
export function getEventTypeList() {
  return request({
    url: "/wcwy/type/list",
  });
}

//获取用户信息

export function getNishiseiInfo(params) {
  return request({
    url: "/nishisei/user/getNishiseiInfo",
    params,
  });
}
